## org.eclipse.emf.cdo.eresource.impl
Class CDOResourceNodeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.EStoreEObjectImpl
                      org.eclipse.emf.internal.cdo.CDOObjectImpl
                          org.eclipse.emf.cdo.eresource.impl.CDOResourceNodeImpl

All Implemented Interfaces:
  CDOObject, CDOPackageTypeRegistry.CDOObjectMarker, CDOResourceNode, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, InternalCDOLoadable, InternalCDOObject

Direct Known Subclasses:
  CDOResourceFolderImpl, CDOResourceImpl

    public abstract class CDOResourceNodeImpl

extends org.eclipse.emf.internal.cdo.CDOObjectImpl
implements CDOResourceNode

An implementation of the model object 'CDO Resource Node'.

The following features are implemented:

- `Folder`
- `Name`
- `Path`

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl
`org.eclipse.emf.internal.cdo.CDOObjectImpl.CDOStoreFeatureMap, org.eclipse.emf.internal.cdo.CDOObjectImpl.CDOStoreSettingsImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EStoreEObjectImpl
`org.eclipse.emf.ecore.impl.EStoreEObjectImpl.BasicEStoreEList<E>, org.eclipse.emf.ecore.impl.EStoreEObjectImpl.BasicEStoreFeatureMap, org.eclipse.emf.ecore.impl.EStoreEObjectImpl.EStoreEList<E>, org.eclipse.emf.ecore.impl.EStoreEObjectImpl.EStoreEPropertiesHolderImpl, org.eclipse.emf.ecore.impl.EStoreEObjectImpl.EStoreFeatureMap, org.eclipse.emf.ecore.impl.EStoreEObjectImpl.EStoreImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EStoreEObjectImpl
`ENO_SETTINGS, eSettings, eStore, EUNINITIALIZED_CONTAINER`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode
`ROOT_NAME, ROOT_PATH`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Constructor Summary
`protected` `CDOResourceNodeImpl()`

Method Summary
`void` `basicSetFolder(CDOResourceFolder newFolder, boolean checkDuplicates)`
`void` `basicSetName(java.lang.String newName, boolean checkDuplicates)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`protected int` `eStaticFeatureCount()`
`CDOResourceFolder` `getFolder()`
`java.lang.String` `getName()`
`java.lang.String` `getPath()`
`org.eclipse.emf.common.util.URI` `getURI()`
`void` `setFolder(CDOResourceFolder newFolder)`
`void` `setFolderGen(CDOResourceFolder newFolder)`
`void` `setName(java.lang.String newName)`
`void` `setNameGen(java.lang.String newName)`
`void` `setPath(java.lang.String newPath)`

Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

`cdoBasicSettings, cdoConflict, cdoDirectResource, cdoID, cdoInternalCleanup, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoSettings, cdoState, cdoView, cdoWriteLock, createFeatureMap, createList, dynamicSet, dynamicUnset, eAdapters, eBasicSetContainer, eBasicSetContainer, eContainerFeatureID, eDirectResource, eDynamicIsSet, eInitializeContainer, eInternalContainer, eIsCaching, equals, eSetDirectResource, eSetResource, eStore, instanceToRevisionFeature, revisionToInstanceFeature, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.EStoreEObjectImpl
`dynamicGet, eDerivedStructuralFeatureID, eHasSettings, eProperties, eSetStore, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eBasicAdapters, eBasicProperties, eClass, eDeliver, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSet, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eUnset, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode
`delete, isRoot`

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedStructuralFeatureID, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSet, eSetClass, eSetProxyURI, eSetStore, eSetting, eUnset, eURIFragmentSegment`

Constructor Detail

### CDOResourceNodeImpl

    protected CDOResourceNodeImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### eStaticFeatureCount

    protected int eStaticFeatureCount()

  Overrides:
    `eStaticFeatureCount` in class `org.eclipse.emf.ecore.impl.EStoreEObjectImpl`

### getFolder

    public CDOResourceFolder getFolder()

  Specified by:
    `getFolder` in interface `CDOResourceNode`
  Returns:
    the value of the 'Folder' container reference.
  See Also:
    `CDOResourceNode.setFolder(CDOResourceFolder)`, `EresourcePackage.getCDOResourceNode_Folder()`, `CDOResourceFolder.getNodes()`

### setFolderGen

    public void setFolderGen(CDOResourceFolder newFolder)

### setFolder

    public void setFolder(CDOResourceFolder newFolder)

  Specified by:
    `setFolder` in interface `CDOResourceNode`
  Parameters:
    `newFolder` - the new value of the 'Folder' container reference.
  See Also:
    `CDOResourceNode.getFolder()`

### basicSetFolder

    public void basicSetFolder(CDOResourceFolder newFolder,
                               boolean checkDuplicates)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `CDOResourceNode`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `CDOResourceNode.setName(String)`, `EresourcePackage.getCDOResourceNode_Name()`

### setNameGen

    public void setNameGen(java.lang.String newName)

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `CDOResourceNode`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `CDOResourceNode.getName()`

### basicSetName

    public void basicSetName(java.lang.String newName,
                             boolean checkDuplicates)

### getPath

    public java.lang.String getPath()

  Specified by:
    `getPath` in interface `CDOResourceNode`
  Returns:
    the value of the 'Path' attribute.
  See Also:
    `CDOResourceNode.setPath(String)`, `EresourcePackage.getCDOResourceNode_Path()`

### setPath

    public void setPath(java.lang.String newPath)

  Specified by:
    `setPath` in interface `CDOResourceNode`
  Parameters:
    `newPath` - the new value of the 'Path' attribute.
  See Also:
    `CDOResourceNode.getPath()`

### getURI

    public org.eclipse.emf.common.util.URI getURI()

  Specified by:
    `getURI` in interface `CDOResourceNode`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.